Bug 1415648 - Have ignore_<x>_errors=no for all the sections in the config file.
Summary: Have ignore_<x>_errors=no for all the sections in the config file.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.1.0-rc
: 0.10.7-0.0.6
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-23 10:45 UTC by RamaKasturi
Modified: 2017-03-16 14:48 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-16 14:48:06 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69925 master MERGED gdeploy: add ignore_xxx_errors=no to all sections. 2017-01-25 15:43:27 UTC
oVirt gerrit 71188 ovirt-4.1 MERGED gdeploy: add ignore_xxx_errors=no to all sections. 2017-01-25 15:43:43 UTC

Description RamaKasturi 2017-01-23 10:45:18 UTC
Description of problem:
ignore_<x>_errors=no has to be explicitly mentioned for all the modules in the config for not proceeding with the next step if the current one fails.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch

How reproducible:


Steps to Reproduce:
1. Install latest gdeploy
2. Login to  browser
3. provide all the inputs

Actual results:
if any of the step fails gdeploy does not exit and continues further.

Expected results:
Have ignore_<x>_errors set to no so that if any of the step fails gdeploy exits and does not continue.

Additional info:

Comment 1 RamaKasturi 2017-03-14 13:54:43 UTC
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.13.el7.centos.noarch.

I see that ignore_<x>_errors is present for the following modules:

1) script
2) pv
3) vg
4) lv
5) volume


Note You need to log in before you can comment on or make changes to this bug.